<div id="app">
  <nav class="navbar navbar-expand navbar-dark bg-dark">
    <a mat-button href="#" class="navbar-brand" href="/" routerLink="">
      <img src="assets/icon.png" width="40" height="40" />
      <span>Statir</span>
    </a>
    <ul class="navbar-nav ml-auto" *ngIf="!isLoggedIn">
      <li class="nav-item">
        <a href="/register" class="nav-link" routerLink="register">Sign Up</a>
      </li>
      <li class="nav-item">
        <a href="/login" class="nav-link" routerLink="login">Login</a>
      </li>
    </ul>

    <ul class="navbar-nav ml-auto" *ngIf="isLoggedIn">
      <li class="nav-item">
        <a href="/home" class="nav-link" routerLink="home">Home</a>
      </li>
      <li class="nav-item">
        <a href="/profile" class="nav-link" routerLink="profile">{{ username }}</a>
      </li>
      <li class="nav-item">
        <a href="/admin" class="nav-link" *ngIf="showAdminBoard" routerLink="admin">Administration</a>
      </li>
      <li class="nav-item">
        <a href class="nav-link" (click)="logout()">LogOut</a>
      </li>
    </ul>
  </nav>

  <div class="container">
    <router-outlet></router-outlet>
  </div>
</div>
